org.vertx.java.core.file

## Class FileSystemException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.vertx.java.core.file.FileSystemException

All Implemented Interfaces:
  java.io.Serializable

    public class FileSystemException
    extends java.lang.RuntimeException

Exception thrown by the FileSystem class

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FileSystemException(java.lang.String msg)` Construct a `FileSystemException` with a message as specified by `msg`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileSystemException

    public FileSystemException(java.lang.String msg)

Construct a `FileSystemException` with a message as specified by `msg`